<?xml version="1.0" ?>
<!--
///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright 2002-2003, Microsoft Corporation.  All rights reserved.
//
// File: LMSDataModel.xml
//
// Description: This module contains information about the part of the datamodel that this viewer supports
//
///////////////////////////////////////////////////////////////////////////////////////////////////
-->
<ROOT>
	<Mode>closed</Mode>
	<LMSDataModel Property="cmi.core._children" Implemented="true" IsKeyword="true" DefaultValue="student_id, student_name,lesson_location,credit,lesson_status,entry,score,total_time,exit,session_time" Read="true" Write="false" Scope="global" />
	<LMSDataModel Property="cmi.core.student_id" Implemented="true" DefaultValue="-1" Read="true" Write="false" Scope="global" />
	<LMSDataModel Property="cmi.core.student_name" Implemented="true" DefaultValue="Unknown Student" Read="true" Write="false" Scope="global" />
	<LMSDataModel Property="cmi.core.lesson_location" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.core.credit" Implemented="true" IsControlledVocabulary="true" DefaultValue="no-credit" Read="true" Write="false" Scope="course">
		<LMSVocabulary>credit</LMSVocabulary>
		<LMSVocabulary>no-credit</LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.core.lesson_status" Implemented="true" IsControlledVocabulary="true" DefaultValue="not attempted" Read="true" Write="true" Scope="item">
		<LMSVocabulary>passed</LMSVocabulary>
		<LMSVocabulary>completed</LMSVocabulary>
		<LMSVocabulary>failed</LMSVocabulary>
		<LMSVocabulary>incomplete</LMSVocabulary>
		<LMSVocabulary>browsed</LMSVocabulary>
		<LMSVocabulary>not attempted</LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.core.entry" Implemented="true" IsControlledVocabulary="true" DefaultValue="ab-initio" Read="true" Write="true" Scope="item">
		<LMSVocabulary>ab-initio</LMSVocabulary>
		<LMSVocabulary>resume</LMSVocabulary>
		<LMSVocabulary></LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.core.score._children" Implemented="true" IsKeyword="true" DefaultValue="raw,max,min" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.core.score.raw" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.core.score.max" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.core.score.min" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.core.total_time" Implemented="true" DefaultValue="00:00:00" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.core.lesson_mode" Implemented="true" IsControlledVocabulary="true" DefaultValue="normal" Read="true" Write="false" Scope="item">
		<LMSVocabulary>browse</LMSVocabulary>
		<LMSVocabulary>normal</LMSVocabulary>
		<LMSVocabulary>review</LMSVocabulary>
	</LMSDataModel>			
	<LMSDataModel Property="cmi.core.exit" Implemented="true" IsControlledVocabulary="true" DefaultValue="" Read="false" Write="true" Scope="item">
		<LMSVocabulary>time-out</LMSVocabulary>
		<LMSVocabulary>suspend</LMSVocabulary>
		<LMSVocabulary>logout</LMSVocabulary>
		<LMSVocabulary></LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.core.session_time" Implemented="true" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.suspend_data" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.launch_data" Implemented="true" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.comments" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.comments_from_lms" Implemented="true" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi._version" Implemented="true" DefaultValue="3.4" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="lrn.startlocation" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="lrn.startcourse" Implemented="true" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.objectives._count" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.objectives._children" Implemented="false" IsKeyword="true" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.id" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.score._children" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.score.raw" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.score.min" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.score.max" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.objectives.n.status" Implemented="false" IsControlledVocabulary="true" DefaultValue="" Read="true" Write="true" Scope="item">
		<LMSVocabulary>passed</LMSVocabulary>
		<LMSVocabulary>completed</LMSVocabulary>
		<LMSVocabulary>failed</LMSVocabulary>
		<LMSVocabulary>incomplete</LMSVocabulary>
		<LMSVocabulary>browsed</LMSVocabulary>
		<LMSVocabulary>not attempted</LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.interactions._children" Implemented="true" IsKeyword="true" DefaultValue="cmi.interactions.n.result" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.interactions._count" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.id" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.objectives._count" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.objectives.n.id" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.time" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.type" Implemented="false" IsControlledVocabulary="true" DefaultValue="" Read="false" Write="true" Scope="item">
		<LMSVocabulary>true-false</LMSVocabulary>
		<LMSVocabulary>choice</LMSVocabulary>
		<LMSVocabulary>fill-in</LMSVocabulary>
		<LMSVocabulary>matching</LMSVocabulary>
		<LMSVocabulary>performance</LMSVocabulary>
		<LMSVocabulary>sequencing</LMSVocabulary>
		<LMSVocabulary>likert</LMSVocabulary>
		<LMSVocabulary>numeric</LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.interactions.n.correct_responses._count" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.correct_responses.n.pattern" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.weighting" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.student_response" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.interactions.n.result" Implemented="true" IsControlledVocabulary="true" DefaultValue="" Read="false" Write="true" Scope="item">
		<LMSVocabulary>correct</LMSVocabulary>
		<LMSVocabulary>wrong</LMSVocabulary>
		<LMSVocabulary>unanticipated</LMSVocabulary>
		<LMSVocabulary>neutral</LMSVocabulary>
		<LMSVocabulary>x.x</LMSVocabulary>
	</LMSDataModel>
	<LMSDataModel Property="cmi.interactions.n.latency" Implemented="false" DefaultValue="" Read="false" Write="true" Scope="item" />
	<LMSDataModel Property="cmi.student_data._children" Implemented="false" IsKeyword="true" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.student_data.mastery_score" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.student_data.max_time_allowed" Implemented="false" DefaultValue="" Read="true" Write="false" Scope="item" />
	<LMSDataModel Property="cmi.student_data.time_limit_action" Implemented="false" IsControlledVocabulary="true" DefaultValue="" Read="true" Write="false" Scope="item">
		<LMSVocabulary>exit,message</LMSVocabulary>
		<LMSVocabulary>exit,no message</LMSVocabulary>
		<LMSVocabulary>continue,message</LMSVocabulary>
		<LMSVocabulary>continue,no message</LMSVocabulary>
	</LMSDataModel>	
	<LMSDataModel Property="cmi.student_preference._children" Implemented="false" IsKeyword="true" DefaultValue="" Read="true" Write="false" Scope="global" />
	<LMSDataModel Property="cmi.student_preference.audio" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="global" />
	<LMSDataModel Property="cmi.student_preference.language" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="global" />
	<LMSDataModel Property="cmi.student_preference.speed" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="global" />
	<LMSDataModel Property="cmi.student_preference.text" Implemented="false" DefaultValue="" Read="true" Write="true" Scope="global" />
</ROOT>
